## python-pyodata 1.11.2

=== Makefile ===
PYTHON_MODULE=pyodata
PYTHON_BINARIES=
PYTHON_MODULE_FILES=$(shell find $(PYTHON_MODULE) -type f -name '*.py')

TESTS_DIR=tests
TESTS_UNIT_DIR=$(TESTS_DIR)
TESTS_UNIT_FILES=$(shell find $(TESTS_UNIT_DIR) -type f -name '*.py')

PYTHON_BIN=python3

PYTEST_MODULE=pytest
PYTEST_PARAMS=--cov-report term --cov=pyodata

PYLINT_BIN=pylint
PYLINT_RC_FILE=.pylintrc
PYLINT_PARAMS=--output-format=parseable --reports=no

FLAKE8_BIN=flake8
FLAKE8_CONFIG_FILE=.flake8
FLAKE8_PARAMS=

COVERAGE_BIN=coverage3
COVERAGE_REPORT_ARGS=--skip-covered
COVERAGE_CMD_REPORT=$(COVERAGE_BIN) report
COVERAGE_CMD_HTML=$(COVERAGE_BIN) html
COVERAGE_HTML_DIR=.htmlcov
COVERAGE_HTML_ARGS=$(COVERAGE_REPORT_ARGS) -d $(COVERAGE_HTML_DIR)
COVERAGE_REPORT_FILES=$(PYTHON_BINARIES) $(PYTHON_MODULE_FILES)

all: check

.PHONY=check
lint: doc
	$(PYLINT_BIN) --rcfile=$(PYLINT_RC_FILE) $(PYLINT_PARAMS) $(PYTHON_MODULE)
	$(FLAKE8_BIN) --config=$(FLAKE8_CONFIG_FILE) $(FLAKE8_PARAMS) $(PYTHON_MODULE)

.PHONY=test
test:
	$(PYTHON_BIN) -m $(PYTEST_MODULE) $(PYTEST_PARAMS)

.coverage: $(COVERAGE_REPORT_FILES) $(TESTS_UNIT_FILES)
	$(MAKE) test PYTEST_PARAMS="--cov-report= --cov=$(PYTHON_MODULE)"

.PHONY: report-coverage
report-coverage: .coverage
	@ echo "Generating code coverage report ..."
	@ $(COVERAGE_CMD_REPORT) $(COVERAGE_REPORT_ARGS) $(COVERAGE_REPORT_FILES)

.PHONY: report-coverage-html
report-coverage-html: .coverage
	@ echo "Generating HTML code coverage report ..."
	@ $(COVERAGE_CMD_HTML) $(COVERAGE_HTML_ARGS) $(COVERAGE_REPORT_FILES)
	@ echo "Report: file://$$(pwd)/$(COVERAGE_HTML_DIR)/index.html"

.PHONY=check
check: lint test

.PHONY=doc
doc:
	$(MAKE) -C docs html
	@ echo -e "\nOpen: file://$$(pwd)/docs/_build/html/index.html"

.PHONY=clean
clean:
	rm --preserve-root -rf $(COVERAGE_HTML_DIR) .coverage

=== requirements.txt ===
lxml>=4.2.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: clean help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf "$(BUILDDIR)"

=== debian/changelog ===
python-pyodata (1.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #1111855).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 24 Aug 2025 09:59:29 +0200

=== debian/control ===
Source: python-pyodata
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-responses,
               python3-lxml,
               python3-pytest
Homepage: https://github.com/SAP/python-pyodata
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyodata.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyodata

Package: python3-pyodata
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Enterprise-ready Python OData client
 Python OData client which provides comfortable Python agnostic way for
 communication with OData services.
 .
 This package provides the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyodata

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_test:
	cp tests/*.xml .pybuild/cpython*_pyodata/build/tests/
	cp tests/enormous_batch_response .pybuild/cpython*_pyodata/build/tests/

=== debian/tests/control ===
Tests: python3-smoketest
Depends: python3-pyodata,
         python3-requests

=== debian/watch ===
version=4
https://github.com/SAP/python-pyodata/tags .*/v?(\d.*)@ARCHIVE_EXT@
